/*
    Use this program to test your WeirdArrayWrapper and WeirdIterator classes.
*/
import java.util.Iterator;

public class TestIterator
{
   public static void main(String[] args)
   {
      String[] stringArray = {
                               "a",
                               "bb",
                               "ccc",
                               "dddd",
                               "eeeee",
                               "ffffff",
                               "ggggggg",
                               "hhhhhh",
                               "iiiii",
                               "jjjj",
                               "kkk",
                               "ll",
                               "m"
                             };

      // create an array wrapper around the above String array
      WeirdArrayWrapper<String> awS = new WeirdArrayWrapper<String>(stringArray);

      // iterate through the array wrapper
      for (Iterator<String> it = awS.iterator(); it.hasNext(); )
      {
         String s = it.next();
         System.out.println( s );
      }
      System.out.println();

      // use the Java "for-each" loop to iterate (again) through the array wrapper
      for (String s : awS)
         System.out.println( s );
      System.out.println();

      // create an empty Integer array wrapper of size 10
      WeirdArrayWrapper<Integer> awI = new WeirdArrayWrapper<Integer>(10);
      // initialize the array wrapper object
      awI.setElement(0, 0);
      awI.setElement(1, 11);
      awI.setElement(2, 222);
      awI.setElement(3, 3333);
      awI.setElement(4, 44444);
      awI.setElement(5, 55555);
      awI.setElement(6, 6666);
      awI.setElement(7, 777);
      awI.setElement(8, 88);
      awI.setElement(9, 9);
      // now iterate through this array wrapper using a while-loop
      Iterator<Integer> it = awI.iterator();
      while ( it.hasNext() )
      {
         Integer i = it.next();
         System.out.println( i );
      }
      System.out.println();
   }
}
